package com.yeejoin.equipmanage.mapper;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.equipmanage.common.dto.AnalysisReportLogDto;
import com.yeejoin.equipmanage.common.entity.AnalysisReportLog;

/**
 * 报告流水表 Mapper 接口
 *
 * @author duanwei
 * @date 2021-05-26
 */
public interface AnalysisReportLogMapper extends BaseMapper<AnalysisReportLog> {
	
	IPage<AnalysisReportLogDto> allPage(Page<AnalysisReportLogDto> page, @Param("analysisReportLog")AnalysisReportLogDto analysisReportLog
	);
	
	Map<String,Object> getStation(String stationCode);
	
	Map<String, Object> getReport(@Param("analysisReportLog")AnalysisReportLogDto analysisReportLog);

	List<Map<String, Object>> getDefect(@Param("analysisReportLog")AnalysisReportLogDto analysisReportLog);

	Map<String, Object> getRootOrgUsr();

    IPage<AnalysisReportLogDto> iotReportPage(Page page, @Param("analysisReportLog")AnalysisReportLogDto analysisReportLog);
}
